# csv2cue - Adobe Markers to CUE

Converts exported markers from Adobe Audition in to a CUE Sheet.


## About

I recently exported a 5 hour project and ran in to an issue; the embedded CUE
sheet generated by Audition would not load in my usual editor. It turned out to
be a problem with timecode. Audition writes:
```
hh:mm:ss:ff
```

But the cuesheet standard dictates:
```
mm:ss:ff
```

What this script does is strip the time-code out of Markers.csv, performs math
to convert hours in to minutes, then generates enough of a CUE sheet to import
in to my audio editor.

## How To Use/Setup

Put the script in the same directory as Markers.csv.
Make sure script is executable (chmod +x csv2cue.sh)
Execute script. 

Your file is output.cue

# History

```
07-MAY-2022 - Initial Commit

```


# License

    csv2cue
    Copyright (C) 2022 Jay Moore - nq4tango@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.


